# 🧑‍💻 WWDC25 MLX Examples

This directory includes Jupyter notebooks and Xcode project with code covered in WWDC25 MLX sessions:

| [![](https://img.youtube.com/vi/UbzOBg8fsxo/maxresdefault.jpg)](https://www.youtube.com/watch?v=UbzOBg8fsxo) | [![](https://img.youtube.com/vi/tn2Hvw7eCsw/maxresdefault.jpg)](https://www.youtube.com/watch?v=tn2Hvw7eCsw) |
| :------------------------- | :-------------------------- |

## 🚀 Quick Start

1. **Download the examples**
   
   Clone this repository and navigate to the `wwdc25` directory

2. **Install Python dependencies**  
   
   If you're using `venv`

   ```bash
   # create a virtual environment named 'mlx'
   python3 -m venv mlx

   # activate it
   source mlx/bin/activate

   # install required packages
   pip install -r requirements.txt
   ```
   If you're using `conda`

   ```bash
   conda create -n mlx python=3.12 -y

   # activate it
   conda activate mlx

   # install required packages
   pip install -r requirements.txt
   ```
   </details>

3. **Launch Jupyter Lab**

   ```bash
   jupyter lab
   ```

   Your default browser should open at `http://localhost:8888/lab`.

4. **Open the following Jupyter notebooks and run**
* [Jupyter notebook for Get started with MLX for Apple silicon](./Get_started_with_MLX_for_Apple_silicon.ipynb)
* [Jupyter notebook for Explore large language models on Apple silicon with MLX](./Explore_language_models_on_Apple_silicon_with_MLX.ipynb)
  
5. **Open Xcode project and run**
* [WWDC25 MLX Swift Examples](./WWDC25MLXSwiftExamples)

---

